summaryrefslogtreecommitdiffstats
path: root/tests/complex_array_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/complex_array_test.sh')
-rwxr-xr-xtests/complex_array_test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/complex_array_test.sh b/tests/complex_array_test.sh
new file mode 100755
index 0000000..240674f
--- /dev/null
+++ b/tests/complex_array_test.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+. `dirname $0`/test_setup.sh "com.pengutronix.jdb.Test.Complex" || return
+
+jdb_test_echo EchoArray ai "[ 1, 2, 3, 42, 99, -42 ]" &&
+jdb_test_echo EchoArray ai "[ 1, 2, 3, 42, 99, \"foo\" ]" null "integer value expected." &&
+
+jdb_test_echo CountArray ai "[ 1, 2, 3, 42, 99, -42 ]" 6 &&
+jdb_test_echo CountArray ai "[]" 0
+